///makes IsAdult equal to whatever is on the local storage
let IsAdult = localStorage.getItem("adult");


///sends you to the redirect page if it's not 1

if (IsAdult != "1") {
window.location.replace("Redirect URL");
}


/// on each page put: <script src="adultcheck.js"></script> 

/// on redirect page: <Button onclick="localStorage.setItem("adult", "1")"; history.back();>Yes</button>